OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000985OMNeT++IDE / NED editorpublic2017-01-11 20:462017-01-27 13:32
Reportertill 
Assigned Torhornig 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSmacOSOS Version10.12
Product Version5.1pre2 
Target VersionFixed in Version5.1pre3 
Summary0000985: ned-editor broken
DescriptionWhen I try to open a ned-file in the IDE I get an error:
An error has occurred. See error log for more details.
assertion failed:

.log of the workspace says:

!ENTRY org.eclipse.jface 4 2 2017-01-11 21:43:55.729
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.jface".
!STACK 0
org.eclipse.core.runtime.AssertionFailedException: assertion failed:
    at org.eclipse.core.runtime.Assert.isTrue(Assert.java:110)
    at org.eclipse.core.runtime.Assert.isTrue(Assert.java:96)
    at org.omnetpp.ned.model.NedElement.setDefaultNedTypeResolver(NedElement.java:162)
    at org.omnetpp.ned.core.NedResources.<init>(NedResources.java:125)
    at org.omnetpp.ned.core.NedResources.getInstance(NedResources.java:142)
    at org.omnetpp.ned.core.NedResourcesPlugin.getNedResources(NedResourcesPlugin.java:78)
    at org.omnetpp.ned.editor.NedEditorLauncher.open(NedEditorLauncher.java:41)
    at org.eclipse.ui.internal.WorkbenchPage$31.run(WorkbenchPage.java:5384)
    at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
    at org.eclipse.ui.internal.WorkbenchPage.openExternalEditor(WorkbenchPage.java:5375)
    at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor(WorkbenchPage.java:3253)
    at org.eclipse.ui.internal.WorkbenchPage.access$25(WorkbenchPage.java:3176)
    at org.eclipse.ui.internal.WorkbenchPage$10.run(WorkbenchPage.java:3158)
    at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
    at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3153)
    at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3117)
    at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3107)
    at org.eclipse.ui.ide.IDE.openEditor(IDE.java:563)
    at org.eclipse.ui.ide.IDE.openEditor(IDE.java:518)
    at org.eclipse.ui.actions.OpenFileAction.openFile(OpenFileAction.java:100)
    at org.eclipse.ui.actions.OpenSystemEditorAction.run(OpenSystemEditorAction.java:97)
    at org.eclipse.ui.actions.RetargetAction.run(RetargetAction.java:225)
    at org.eclipse.ui.navigator.CommonNavigatorManager$2.open(CommonNavigatorManager.java:191)
    at org.eclipse.ui.OpenAndLinkWithEditorHelper$InternalListener.open(OpenAndLinkWithEditorHelper.java:46)
    at org.eclipse.jface.viewers.StructuredViewer$2.run(StructuredViewer.java:855)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
    at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
    at org.eclipse.jface.viewers.StructuredViewer.fireOpen(StructuredViewer.java:852)
    at org.eclipse.jface.viewers.StructuredViewer.handleOpen(StructuredViewer.java:1169)
    at org.eclipse.ui.navigator.CommonViewer.handleOpen(CommonViewer.java:451)
    at org.eclipse.jface.viewers.StructuredViewer$$Lambda$39/1567317309.handleOpen(Unknown Source)
    at org.eclipse.jface.util.OpenStrategy.fireOpenEvent(OpenStrategy.java:278)
    at org.eclipse.jface.util.OpenStrategy.access$2(OpenStrategy.java:272)
    at org.eclipse.jface.util.OpenStrategy$1.handleEvent(OpenStrategy.java:313)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4256)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1501)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1524)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1509)
    at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1313)
    at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4080)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3706)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
    at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:497)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001268)
till (reporter)
2017-01-19 10:12

Was able to trigger another error:

!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.jface".
!STACK 0
java.lang.UnsatisfiedLinkError: org.omnetpp.ned.engine.nedxmlJNI.NEDDTDValidator_SWIGUpcast(J)J
    at org.omnetpp.ned.engine.nedxmlJNI.NEDDTDValidator_SWIGUpcast(Native Method)
    at org.omnetpp.ned.engine.NEDDTDValidator.<init>(NEDDTDValidator.java:15)
    at org.omnetpp.ned.engine.NEDDTDValidator.<init>(NEDDTDValidator.java:39)
    at org.omnetpp.ned.model.NedTreeUtil.doParseNedSource(NedTreeUtil.java:125)
    at org.omnetpp.ned.model.NedTreeUtil.parseNedText(NedTreeUtil.java:93)
    at org.omnetpp.ned.core.NedTypeResolver.createBuiltInNedTypes(NedTypeResolver.java:201)
    at org.omnetpp.ned.core.NedResources.<init>(NedResources.java:126)
    at org.omnetpp.ned.core.NedResources.getInstance(NedResources.java:142)
    at org.omnetpp.ned.core.NedResourcesPlugin.getNedResources(NedResourcesPlugin.java:78)
    at org.omnetpp.ned.editor.NedEditorLauncher.open(NedEditorLauncher.java:41)
    at org.eclipse.ui.internal.WorkbenchPage$31.run(WorkbenchPage.java:5384)
    at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
    at org.eclipse.ui.internal.WorkbenchPage.openExternalEditor(WorkbenchPage.java:5375)
    at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor(WorkbenchPage.java:3253)
    at org.eclipse.ui.internal.WorkbenchPage.access$25(WorkbenchPage.java:3176)
    at org.eclipse.ui.internal.WorkbenchPage$10.run(WorkbenchPage.java:3158)
    at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
    at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3153)
    at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3117)
    at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3107)
    at org.eclipse.ui.ide.IDE.openEditor(IDE.java:563)
    at org.eclipse.ui.ide.IDE.openEditor(IDE.java:518)
    at org.eclipse.ui.actions.OpenFileAction.openFile(OpenFileAction.java:100)
    at org.eclipse.ui.actions.OpenSystemEditorAction.run(OpenSystemEditorAction.java:97)
    at org.eclipse.ui.actions.RetargetAction.run(RetargetAction.java:225)
    at org.eclipse.ui.navigator.CommonNavigatorManager$2.open(CommonNavigatorManager.java:191)
    at org.eclipse.ui.OpenAndLinkWithEditorHelper$InternalListener.open(OpenAndLinkWithEditorHelper.java:46)
    at org.eclipse.jface.viewers.StructuredViewer$2.run(StructuredViewer.java:855)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
    at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
    at org.eclipse.jface.viewers.StructuredViewer.fireOpen(StructuredViewer.java:852)
    at org.eclipse.jface.viewers.StructuredViewer.handleOpen(StructuredViewer.java:1169)
    at org.eclipse.ui.navigator.CommonViewer.handleOpen(CommonViewer.java:451)
    at org.eclipse.jface.viewers.StructuredViewer$$Lambda$71/1013313550.handleOpen(Unknown Source)
    at org.eclipse.jface.util.OpenStrategy.fireOpenEvent(OpenStrategy.java:278)
    at org.eclipse.jface.util.OpenStrategy.access$2(OpenStrategy.java:272)
    at org.eclipse.jface.util.OpenStrategy$1.handleEvent(OpenStrategy.java:313)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4256)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1501)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1524)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1509)
    at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1313)
    at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4080)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3706)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
    at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:497)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
(0001269)
rhornig (administrator)
2017-01-19 16:45

I can confirm this issue now. It's some kind of weird incompatibility between the IDE's native lib and the IDE itself. Probably a build issue or incompatibility with SWIG. I'm looking into this.
(0001272)
rhornig (administrator)
2017-01-27 13:05

This seems to be caused by an incorect native library build on macOS. I've rebuilt out buildmachine based on macOS 10.12

- Issue History
Date Modified Username Field Change
2017-01-11 20:46 till New Issue
2017-01-19 10:12 till Note Added: 0001268
2017-01-19 16:45 rhornig Note Added: 0001269
2017-01-27 13:05 rhornig Note Added: 0001272
2017-01-27 13:05 rhornig Status new => resolved
2017-01-27 13:05 rhornig Fixed in Version => 5.1pre3
2017-01-27 13:05 rhornig Resolution open => fixed
2017-01-27 13:05 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker